## @package ConstantCanopen.py
#  @author  SOLOMotorControllers
#  @brief   This file contains all the canopen common definitions
#           Availability: https://github.com/Solo-FL/SoloPy/tree/main/SoloPy
#  @date    Date: 2025
#  @version 4.0.0

## @attention
# Copyright: (c) 2021-present, SOLO motor controllers project
# MIT License (see LICENSE file for more details)

##
# @addtogroup NMT_Control_Objects NMT Control Objects
# @{
OBJECT_READ_ERROR_REGISTER = 0x1001
OBJECT_GUARDTIME = 0x100C
OBJECT_LIFETIME_FACTOR = 0x100D
OBJECT_PRODUCER_HEARTBEAT_TIME = 0x1017
##
# @}

##
# @addtogroup SOLO_UNO_CANOPEN_Objects SOLO UNO CANOPEN Objects
# @{
OBJECT_SET_DEVICE_ADDRESS = 0x3001
OBJECT_COMMAND_MODE = 0x3002
OBJECT_CURRENT_LIMIT = 0x3003
OBJECT_TORQUE_REFERENCE_IQ = 0x3004
OBJECT_SPEED_REFERENCE = 0x3005
OBJECT_POWER_REFERENCE = 0x3006
OBJECT_MOTOR_PARAMETERS_IDENTIFICATION = 0x3007
OBJECT_DRIVE_DISABLE_ENABLE = 0x3008
OBJECT_OUTPUT_PWMFREQUENCY_KHZ = 0x3009
OBJECT_SPEED_CONTROLLER_KP = 0x300A
OBJECT_SPEED_CONTROLLER_KI = 0x300B
OBJECT_MOTOR_DIRECTION = 0x300C
OBJECT_MOTOR_RESISTANCE = 0x300D
OBJECT_MOTOR_INDUCTANCE = 0x300E
OBJECT_MOTOR_POLES_COUNTS = 0x300F
OBJECT_INCREMENTAL_ENCODER_LINES = 0x3010
OBJECT_SPEED_LIMIT = 0x3011
# Reserved Object                                      0x3012
OBJECT_FEEDBACK_CONTROL_MODE = 0x3013
OBJECT_RESET_FACTORY = 0x3014
OBJECT_MOTOR_TYPE = 0x3015
OBJECT_CONTROL_MODE = 0x3016
OBJECT_CURRENT_CONTROLLER_KP = 0x3017
OBJECT_CURRENT_CONTROLLER_KI = 0x3018
# Reserved Object                                      0x3019
OBJECT_MAGNETIZING_CURRENTID_REFERENCE = 0x301A
OBJECT_POSITION_REFERENCE = 0x301B
OBJECT_POSITION_CONTROLLER_KP = 0x301C
OBJECT_POSITION_CONTROLLER_KI = 0x301D
# Reserved Object                                      0x301E
OBJECT_RESET_POSITION_TO_ZERO = 0x301F
OBJECT_OVERWRITE_ERROR_REGISTER = 0x3020
OBJECT_ZSFT_INJECTION_AMPLITUDE = 0x3021
OBJECT_ZSFT_POLARITY_AMPLITUDE = 0x3022
OBJECT_OBSERVER_GAIN_DC = 0x3023
OBJECT_ZSFT_INJECTION_FREQUENCY = 0x3024
OBJECT_FILTER_GAIN_BLDC_PMSM = 0x3024
OBJECT_SENSORLESS_TRANSITION_SPEED = 0x3025
OBJECT_UART_BAUDRATE = 0x3026
OBJECT_SENSOR_CALIBRATION = 0x3027
OBJECT_ENCODER_HALL_CCW_OFFSET = 0x3028
OBJECT_ENCODER_HALL_CW_OFFSET = 0x3029
OBJECT_SPEED_ACCELERATION_VALUE = 0x302A
OBJECT_SPEED_DECELERATION_VALUE = 0x302B
OBJECT_CANBUS_BAUDRATE = 0x302C
OBJECT_PHASEA_VOLTAGE = 0x302D
OBJECT_PHASEB_VOLTAGE = 0x302E
OBJECT_PHASEA_CURRENT = 0x302F
OBJECT_PHASEB_CURRENT = 0x3030
OBJECT_BUS_VOLTAGE = 0x3031
OBJECT_DC_MOTOR_CURRENT_IM = 0x3032
OBJECT_DC_MOTOR_VOLTAGE_VM = 0x3033
OBJECT_QUADRATURE_CURRENT_IQ_FEEDBACK = 0x3034
OBJECT_MAGNETIZING_CURRENT_ID_FEEDBACK = 0x3035
OBJECT_SPEED_FEEDBACK = 0x3036
OBJECT_POSITION_COUNTS_FEEDBACK = 0x3037
OBJECT_3PHASE_MOTOR_ANGLE = 0x3038
OBJECT_BOARD_TEMPERATURE = 0x3039
OBJECT_DEVICE_FIRMWARE_VERSION = 0x303A
OBJECT_DEVICE_HARDWARE_VERSION =                  0x303B
OBJECT_ENCODER_INDEX_COUNTS =                     0x303D
OBJECT_CANBUS_BAUD_RATE=                     0x303D
OBJECT_ASRDC =                                   0x303E
OBJECT_MOTION_PROFILE_MODE =                       0x303F
OBJECT_MOTION_PROFILE_VARIABLE1 =                  0x3040
OBJECT_MOTION_PROFILE_VARIABLE2 =                  0x3041
OBJECT_MOTION_PROFILE_VARIABLE3 =                  0x3042
OBJECT_MOTION_PROFILE_VARIABLE4 =                  0x3043
OBJECT_MOTION_PROFILE_VARIABLE5 =                  0x3044
OBJECT_PT1000_SENSOR_VOLTAGE =               0x3047
OBJECT_DIGITAL_OUTPUTS_REGISTER =                  0x3048
OBJECT_DIGITAL_INPUT_REGISTER =               0x3049
OBJECT_ANALOGUE_INPUT =               0x304A
OBJECT_REGENERATION_CURRENT_LIMIT =               0x304B
OBJECT_POSITION_SENSOR_DIGITAL_FILTER_LEVEL =               0x304C
##
# @}

PDO_PARAMETERNAME_COUNT =   					    12

RPDO_MIN_COBIB =						        0x200
RPDO_MAX_COBIB =							    0x27F
TPDO_MIN_COBIB =							    0x280
TPDO_MAX_COBIB =							    0x2FF
